Subject: Re: [bisected] tg3 broken in 3.18.0?

From: Prashant Sreedharan <[email-masked]>
Date: Fri, 19 Dec 2014 10:53:48 -0800

On Fri, 2014-12-19 at 10:24 -0800, Rajat Jain wrote:
> One of the reasons to replace the condition (*l == 0xffff0001) with
> (*l & 0xffff) == 0x0001) was that some devices apparently returned
> 0001 for device id to indicate CRS, but returned actual vendor id in
> the vendor ID field (hence the need to ignore vendor field).
> 
> Are we saying that the tg3 device returns 0x0001 for the device ID and
> yet expects it to be treated as a good value (not CRS)?
> 
No it should not be treated as a good value, this commit has
surfaced/exposed a problem in 5722 chipset which was previously masked.